<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja klasy ReaderThr</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_reader_thr.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#signals">Sygnały</a> &#124;
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="#pri-attribs">Atrybuty prywatne</a> &#124;
<a href="class_reader_thr-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja klasy ReaderThr</div></div>
</div><!--header-->
<div class="contents">

<p>Obiekt czytający z portu szeregowego.  
 <a href="class_reader_thr.html#details">Więcej...</a></p>

<p><code>#include &lt;<a class="el" href="_reader_thr_8hpp_source.html">ReaderThr.hpp</a>&gt;</code></p>
<div class="dynheader">
Diagram dziedziczenia dla ReaderThr</div>
<div class="dyncontent">
<div class="center"><img src="class_reader_thr__inherit__graph.png" border="0" usemap="#a_reader_thr_inherit__map" alt="Inheritance graph"/></div>
<map name="a_reader_thr_inherit__map" id="a_reader_thr_inherit__map">
<area shape="rect" title="Obiekt czytający z portu szeregowego." alt="" coords="5,79,88,104"/>
<area shape="rect" title=" " alt="" coords="11,5,82,31"/>
<area shape="poly" title=" " alt="" coords="49,44,49,79,44,79,44,44"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<div class="dynheader">
Diagram współpracy dla ReaderThr:</div>
<div class="dyncontent">
<div class="center"><img src="class_reader_thr__coll__graph.png" border="0" usemap="#a_reader_thr_coll__map" alt="Collaboration graph"/></div>
<map name="a_reader_thr_coll__map" id="a_reader_thr_coll__map">
<area shape="rect" title="Obiekt czytający z portu szeregowego." alt="" coords="34,181,117,207"/>
<area shape="rect" title=" " alt="" coords="5,93,76,119"/>
<area shape="poly" title=" " alt="" coords="53,131,73,180,68,182,48,133"/>
<area shape="rect" href="class_serial_port.html" title="Modeluje port szeregowy." alt="" coords="100,93,179,119"/>
<area shape="poly" title=" " alt="" coords="125,131,86,182,82,179,120,128"/>
<area shape="rect" href="class_robot_data.html" title="Wszystkie dane otrzymywane z robota." alt="" coords="98,5,181,31"/>
<area shape="poly" title=" " alt="" coords="142,45,142,93,137,93,137,45"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="signals" name="signals"></a>
Sygnały</h2></td></tr>
<tr class="memitem:ad1b1d19975ad2e479a9a60dc4253c872"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_reader_thr.html#ad1b1d19975ad2e479a9a60dc4253c872">finished</a> ()</td></tr>
<tr class="separator:ad1b1d19975ad2e479a9a60dc4253c872"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:ac4a15db003bacd1d609ca323ac88facb"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_reader_thr.html#ac4a15db003bacd1d609ca323ac88facb">ReaderThr</a> ()</td></tr>
<tr class="memdesc:ac4a15db003bacd1d609ca323ac88facb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Inicjalizuje obiekt <a class="el" href="class_reader_thr.html" title="Obiekt czytający z portu szeregowego.">ReaderThr</a>.  <br /></td></tr>
<tr class="separator:ac4a15db003bacd1d609ca323ac88facb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c5c53cf06b9873f7b8487da92a167c5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_reader_thr.html#a8c5c53cf06b9873f7b8487da92a167c5">~ReaderThr</a> ()</td></tr>
<tr class="separator:a8c5c53cf06b9873f7b8487da92a167c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a00dd4fe9ddfd1b273d367fb76bd900"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_reader_thr.html#a3a00dd4fe9ddfd1b273d367fb76bd900">connectSerialPort</a> (<a class="el" href="class_serial_port.html">SerialPort</a> *port)</td></tr>
<tr class="memdesc:a3a00dd4fe9ddfd1b273d367fb76bd900"><td class="mdescLeft">&#160;</td><td class="mdescRight">Łączy port szeregowy z wątkiem.  <br /></td></tr>
<tr class="separator:a3a00dd4fe9ddfd1b273d367fb76bd900"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Atrybuty prywatne</h2></td></tr>
<tr class="memitem:a717e5af651577795185f92e14c42fc44"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_serial_port.html">SerialPort</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_reader_thr.html#a717e5af651577795185f92e14c42fc44">serial</a> = nullptr</td></tr>
<tr class="memdesc:a717e5af651577795185f92e14c42fc44"><td class="mdescLeft">&#160;</td><td class="mdescRight">Obiekt definiujący port szeregowy.  <br /></td></tr>
<tr class="separator:a717e5af651577795185f92e14c42fc44"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><p><a class="el" href="class_reader_thr.html" title="Obiekt czytający z portu szeregowego.">ReaderThr</a> jest klasą pochodną klasy QThread. Implementuje ona czytanie danych wysyłanych przez robota na port szeregowy w osobnym wątku obsługującym pętlę zdarzeń. Za wymuszanie czytania odpowiada atrybut QTimer, który co odpowiedni czas wysyła sygnał timeout informujący o konieczności sprawdzenia stanu portu. </p>

<p class="definition">Definicja w linii <a class="el" href="_reader_thr_8hpp_source.html#l00026">26</a> pliku <a class="el" href="_reader_thr_8hpp_source.html">ReaderThr.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="ac4a15db003bacd1d609ca323ac88facb" name="ac4a15db003bacd1d609ca323ac88facb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac4a15db003bacd1d609ca323ac88facb">&#9670;&#160;</a></span>ReaderThr()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ReaderThr::ReaderThr </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Wymusza wywołanie konstruktora klasy QThread przekazując wskaźnik na rodzica. Tworzy dynamicznie timer oraz obiekt klasy <a class="el" href="class_serial_port.html" title="Modeluje port szeregowy.">SerialPort</a>. Łączy sygnał timera "timeout" ze slotem czytającym dane z portu.</p>
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">parent</td><td>- wskaźnik na rodzica </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">time</td><td>- czas odliczany przez timer </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definicja w linii <a class="el" href="_reader_thr_8cpp_source.html#l00019">19</a> pliku <a class="el" href="_reader_thr_8cpp_source.html">ReaderThr.cpp</a>.</p>

</div>
</div>
<a id="a8c5c53cf06b9873f7b8487da92a167c5" name="a8c5c53cf06b9873f7b8487da92a167c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c5c53cf06b9873f7b8487da92a167c5">&#9670;&#160;</a></span>~ReaderThr()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ReaderThr::~ReaderThr </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_reader_thr_8hpp_source.html#l00042">42</a> pliku <a class="el" href="_reader_thr_8hpp_source.html">ReaderThr.hpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji składowych</h2>
<a id="a3a00dd4fe9ddfd1b273d367fb76bd900" name="a3a00dd4fe9ddfd1b273d367fb76bd900"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a00dd4fe9ddfd1b273d367fb76bd900">&#9670;&#160;</a></span>connectSerialPort()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ReaderThr::connectSerialPort </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_serial_port.html">SerialPort</a> *&#160;</td>
          <td class="paramname"><em>port</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_reader_thr_8hpp_source.html#l00046">46</a> pliku <a class="el" href="_reader_thr_8hpp_source.html">ReaderThr.hpp</a>.</p>

</div>
</div>
<a id="ad1b1d19975ad2e479a9a60dc4253c872" name="ad1b1d19975ad2e479a9a60dc4253c872"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1b1d19975ad2e479a9a60dc4253c872">&#9670;&#160;</a></span>finished</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ReaderThr::finished </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Dokumentacja atrybutów składowych</h2>
<a id="a717e5af651577795185f92e14c42fc44" name="a717e5af651577795185f92e14c42fc44"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a717e5af651577795185f92e14c42fc44">&#9670;&#160;</a></span>serial</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_serial_port.html">SerialPort</a>* ReaderThr::serial = nullptr</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Więcej o <a class="el" href="class_serial_port.html" title="Modeluje port szeregowy.">SerialPort</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="_reader_thr_8hpp_source.html#l00035">35</a> pliku <a class="el" href="_reader_thr_8hpp_source.html">ReaderThr.hpp</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z plików:<ul>
<li><a class="el" href="_reader_thr_8hpp_source.html">ReaderThr.hpp</a></li>
<li><a class="el" href="_reader_thr_8cpp_source.html">ReaderThr.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_reader_thr.html">ReaderThr</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
